@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface XsltSaxonEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
XsltSaxonEndpointBuilderFactory.AdvancedXsltSaxonEndpointBuilder
Advanced builder for endpoint for the XSLT Saxon component.
|
static class |
XsltSaxonEndpointBuilderFactory.XsltOutput
Proxy enum for
org.apache.camel.component.xslt.XsltOutput
enum. |
static interface |
XsltSaxonEndpointBuilderFactory.XsltSaxonBuilders |
static interface |
XsltSaxonEndpointBuilderFactory.XsltSaxonEndpointBuilder
Builder for endpoint for the XSLT Saxon component.
|
| Modifier and Type | Method and Description |
|---|---|
static XsltSaxonEndpointBuilderFactory.XsltSaxonEndpointBuilder |
xsltSaxon(String path)
XSLT Saxon (camel-xslt-saxon)
Transforms the message using a XSLT template using Saxon.
|
static XsltSaxonEndpointBuilderFactory.XsltSaxonEndpointBuilder xsltSaxon(String path)
xslt-saxon:resourceUri
Path parameter: resourceUri (required)
Path to the template. The following is supported by the default
URIResolver. You can prefix with: classpath, file, http, ref, or bean.
classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethodApache Camel